Bug 1516791 (CVE-2017-1000392) - CVE-2017-1000392 jenkins: Persisted XSS vulnerability in autocompletion suggestions
Summary: CVE-2017-1000392 jenkins: Persisted XSS vulnerability in autocompletion sugge...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-1000392
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1516794 1516795
Blocks: 1516796
TreeView+ depends on / blocked
 
Reported: 2017-11-23 11:33 UTC by Andrej Nemec
Modified: 2021-02-17 01:12 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-01 07:55:54 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-11-23 11:33:07 UTC
Autocompletion suggestions for text fields were not escaped, resulting in a persisted cross-site scripting vulnerability if the source for the suggestions allowed specifying text that includes HTML metacharacters like less-than and greater-than characters.

Known previously unsafe sources for these suggestions include the names of loggers in the log recorder condition, and agent labels.

External References:

https://jenkins.io/security/advisory/2017-11-08/

Comment 1 Andrej Nemec 2017-11-23 11:35:08 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1516794]
Affects: openshift-1 [bug 1516795]


Note You need to log in before you can comment on or make changes to this bug.